org.apache.ignite.internal.processors.query

## Class GridQueryProperty

- java.lang.Object
- - org.apache.ignite.internal.processors.query.GridQueryProperty

    public abstract class GridQueryProperty
    extends Object

Description and access method for query entity field.

### Constructor Summary

Constructors
Constructor and Description
`GridQueryProperty()`

### Method Summary

Methods
`abstract String` `name()`
`abstract Class<?>` `type()`
`abstract Object` `value(Object key, Object val)` Gets this property value from the given object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridQueryProperty

    public GridQueryProperty()

### Method Detail

#### value

    public abstract Object value(Object key,
               Object val)
                          throws IgniteCheckedException

Gets this property value from the given object.

Parameters:
  `key` - Key.
  `val` - Value.
Returns:
  Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### name

    public abstract String name()

Returns:
  Property name.

#### type

    public abstract Class<?> type()

Returns:
  Class member type.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015